#
# spec file for package fwbackups
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2010-2016 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fwbackups
Version:        1.43.7
Release:        1.4
Summary:        A feature-rich user backup program
License:        GPL-2.0+
Group:          Productivity/Archiving/Backup
Url:            http://www.diffingo.com/oss/fwbackups/
Source0:        http://downloads.diffingo.com/fwbackups/fwbackups-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
Requires:       python-notify
Requires:       python-paramiko
Requires:       python-pycrypto
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
fwbackups is a feature-rich user backup program that allows users (including
but not limited to root) to backup their files on demand or periodically via
backup sets. Each set may have different settings meaning users can backup
groups of files and folders to different destinations at different times.
Restores can be performed at any time using an existing backup from fwbackups
or from the contents of an external folder or archive.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file -r %{name} Utility Archiving
%suse_update_desktop_file %{buildroot}%{_datadir}/%{name}/%{name}-autostart.desktop
%find_lang %{name} %{?no_lang_C}
%fdupes -s %{buildroot}

%if 0%{?suse_version} < 1500
%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} < 1500
%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README.md TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/%{name}/

%files lang -f %{name}.lang

%changelog
* Sun Mar 11 2018 badshah400@gmail.com
- Update to version 1.43.7:
  + Fix issue where disabled sets still ran from cron.
  + Fix issue where exported sets could crash on import.
  + Add -f/--force flag to fwbackups-run to run disabled sets.
- Do not run post scripts for openSUSE >= 1500, these are taken
  care of by rpm file triggers there.
- Drop conditionals supporting end-of-life openSUSE versions.
* Mon Sep 26 2016 malcolmlewis@opensuse.org
- Update to version 1.43.6:
  + UX improvements.
  + An additional fix to diacritics issue in dates to prevent
    tracebacks.
  + Translation updates.
  + Add hicolor icons.
- Changes from version 1.43.5:
  + Fix an issue where diacritics in the month's name would cause a
    traceback.
  + Fix an issue where saving a crontab with comments could cause a
    traceback.
  + Add option for a customizable temporary folder (useful for for
    those with tmpfs).
  + Fix replacement of [destination] token.
  + A new crontab writer that should improve reliability.
  + Update translation framework to use GNU Gettext
- Copyright year updated.
- Add lang sub package.
- User dcumentation now online at Home page and Help button.
* Sun May 17 2015 mpluskal@suse.com
- Cleaunup spec file
  * Use %%{version} in download url
* Thu Nov 27 2014 malcolmlewis@opensuse.org
- Change requires from python-crypto to python-pycrypto.
- Add desktop database macros.
* Fri Jan 20 2012 malcolmlewis@opensuse.org
- Update to version 1.43.4:
  + Fix a problem were upgrading to 1.43.3 could cause the crontab
    to be removed if the backup administrator tool is not run
    before the next scheduled backup.
  + Better handling of Unicode strings when running on HFS+
    filesystems and Windows XP.
  + Fix a problem where paths could be left out of the backup when
    using the tar.bz2 backup engine.
- Drop desktop file patches and use macro instead.
- Spec file clean up via spec-cleaner.
- Update spec file License field from GPLv2+ to GPL-2.0+ to
  conform with spdx.org identifier.
* Wed Aug 11 2010 malcolmlewis@opensuse.org
- Spec file and patch changes.
- Version bump.
* Wed Jun 30 2010 malcolmlewis@opensuse.org
- Spec file changes.
* Mon Mar  1 2010 coyoteuser@gmail.com
- rpmlintrc added.
- Group fixed for factory build.
* Thu Oct  8 2009 coyoteuser@gmail.com
- initial build.
